import 'package:flutter/material.dart';

class GetPaddedChildrenUtil {
  List<Widget> getPaddedChildren(List<Widget> children) {
    for (var i = 1; i < children.length; i++) {
      children[i] = Padding(
        padding: const EdgeInsets.only(top: 16.0),
        child: children[i],
      );
    }

    return children;
  }

  List<Widget> getHorizontalPaddedChildren(List<Widget> children) {
    for (var i = 1; i < children.length; i++) {
      children[i] = Padding(
        padding: const EdgeInsets.symmetric(horizontal: 16.0),
        child: children[i],
      );
    }

    return children;
  }

  List<Widget> getDividedChildren(List<Widget> children) {
    for (var i = 0; i < children.length; i++) {
      children[i] = Column(
        mainAxisSize: MainAxisSize.min,
        children: [
          children[i],
          Divider(thickness: 1.5),
        ],
      );
    }

    return children;
  }
}