import 'package:flutter/material.dart';

class PlatformUtil {
  dynamic getWidget(BuildContext context, Widget mobileView, Widget webView) {
    final bool isMobile = MediaQuery.of(context).size.width < 600;

    if (isMobile) {
      return mobileView;
    } else {
      return webView;
    }
  }
  
  Widget getResizedWidget(BuildContext context, Widget widget, double divider) {
    final bool isMobile = MediaQuery.of(context).size.width < 600;

    double width;

    if (isMobile) {
      width = MediaQuery
          .of(context)
          .size
          .width;
    } else {
      width = 1917 / divider;
    }

    return Align(
      alignment: Alignment.topCenter,
      child: Container(
        width: width,
        child: widget,
      ),
    );
  }

  bool isMobile(BuildContext context) {
    final bool isMobile = MediaQuery.of(context).size.width < 600;

    return isMobile;
  }
}