import 'package:flutter/material.dart';

class DropDownStringView extends StatefulWidget {
  final dynamic initialValue;
  final List<dynamic> values;
  final Function onSelected;

  DropDownStringView({
    this.initialValue,
    this.values,
    this.onSelected
  });

  @override
  _DropDownStringViewState createState() => _DropDownStringViewState();
}

class _DropDownStringViewState extends State<DropDownStringView> {
  @override
  Widget build(BuildContext context) {
    var initialValue;

    if (widget.initialValue != null && widget.values.contains(widget.initialValue)) {
      initialValue = null;
    }

    return DropdownButtonFormField<dynamic>(
        decoration: InputDecoration(
          border: OutlineInputBorder()
        ),
        validator: (value) {
          return null;
        },
        isExpanded: true,
        value: initialValue ?? widget.values.first,
        icon: Icon(Icons.arrow_drop_down),
        iconSize: 24,
        elevation: 16,
        onChanged: (dynamic value) {
          widget.onSelected(value);
        },
        items: (widget.values ?? []).map<DropdownMenuItem<dynamic>>((dynamic value) {
          return DropdownMenuItem<dynamic>(
            value: value,
            child: Text(value.toString()),
          );
        }).toList()
    );
  }
}
